Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTSFIELD | METHOD

## org.codehaus.groovy.util
[Java] Enum ReferenceType

    java.lang.Object
      java.lang.Enum
          org.codehaus.groovy.util.ReferenceType

    public enum ReferenceType
    extends Enum

Method Summary
`protected Reference` | `createReference(T value, V handler, ReferenceQueue queue)`

Methods inherited from class Enum
name, equals, toString, hashCode, compareTo, compareTo, valueOf, getDeclaringClass, ordinal, wait, wait, wait, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### createReference

    protected Reference createReference(T value, V handler, ReferenceQueue queue)

Copyright © 2003-2010 The Codehaus. All rights reserved.